Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1202634 - fetch-build has a hardcoded koji URL
Summary: fetch-build has a hardcoded koji URL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: rpmgrill
Classification: Community
Component: Tests
Version: 0.23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 0.28
Assignee: Roman Joost
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1202202
TreeView+ depends on / blocked
 
Reported: 2015-03-17 05:22 UTC by Roman Joost
Modified: 2016-12-21 00:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of:
Environment:
Last Closed: 2016-12-21 00:11:00 UTC


Attachments (Terms of Use)

Description Roman Joost 2015-03-17 05:22:59 UTC
At this time of writing, rpmgrill-fetch-build is only able to fetch builds from Koji, since it's using a hard coded koji URL. This should be configurable so we can fetch builds from any koji instance.

Comment 1 Roman Joost 2015-03-23 01:34:24 UTC
Dear Peter,

I'm halfway in changing this script when I had a closer look into libtaskotron. 

How applicable would it be to use libtaskotron to provide builds for rpmgrill? I'm thinking of using `runtask` to run rpmgrill, which provides rpmgrill with the necessary builds, but does not report back to resultsdb or bodhi, but exits with 1 if the task (rpmgrill) failed. This seems to be not supported by taskotron at this point in time. I've started a thread on qa-devel here:

  https://lists.fedoraproject.org/pipermail/qa-devel/2015-March/001171.html

in order to find out.

Comment 2 Petr Muller 2015-03-26 11:15:03 UTC
I think using some taskotron part to interface with brew/koji would be applicable. I'm not familiar with taskotron 'runtask' though. As long as it is (along with the dependencies) possible to run it in RHEL6, we are fine with it.

Comment 3 Petr Muller 2015-03-26 11:19:03 UTC
Also, we would not really need to return RC 1 if rpmgrill found some FAILs: we'll parse the result json anyways. I think it might be useful to somehow distinguish the cases when rpmgrill itself fails (=buggy rpmgrill) from rpmgrill finding fails (=buggy rpms under test)

Comment 4 Roman Joost 2015-03-30 01:15:34 UTC
Dear Petr,

I'll check if we can run it on RHEL6. If it works fine, I'll setup a small how to on our github wiki maybe or stick it in the repository on how to run libtaskatron with rpmgrill.

In regards to the exit code, I'm not sure if it doesn't matter that much. Reason why I thought it would be good is the fact that it distinguishes the: all good from, there is a failure similar. This behaviour is - I thought - consistent among test runners and other static analysis tools. Most of them allow it to be configurable (e.g. --make-warnings-fatal or something like that.)

Comment 5 Petr Muller 2015-03-30 09:05:16 UTC
It's true that most of test runners and static analysers I've met indeed behaved in this way, right.

Comment 6 Roman Joost 2015-04-01 05:57:09 UTC
Looking into building libtaskotron for RHEL6 seems more effort than just rebuilding it. It will eat quite some time if it's possible. I'll created Bug 1207954 to track my efforts.

For the short time I think I'll have to fix up the fetch-build script.

Comment 7 Roman Joost 2015-04-13 01:36:46 UTC
Patch set is up on GerritHub:

https://review.gerrithub.io/#/c/229906/

Comment 8 Roman Joost 2015-04-23 01:28:05 UTC
Moving this item to VERIFIED, since we agreed with our QE not to bother with rpmgrill at this point.

Comment 9 Roman Joost 2015-05-18 02:42:39 UTC
Has been released with the 0.28-1 release of rpmgrill available in Fedora and RHEL:

    * http://koji.fedoraproject.org/koji/taskinfo?taskID=9770113 (Fedora 20)
    * http://koji.fedoraproject.org/koji/taskinfo?taskID=9770184 (Fedora 21)
    * http://koji.fedoraproject.org/koji/taskinfo?taskID=9770203 (Fedora 22)
    * https://brewweb.devel.redhat.com/taskinfo?taskID=9101527 (RHEL 7)

Comment 10 Fedora Update System 2016-05-27 22:05:43 UTC
rpmgrill-0.28-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b6d82f473

Comment 11 Fedora Update System 2016-05-29 00:55:42 UTC
rpmgrill-0.28-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b6d82f473

Comment 12 yashi 2016-05-31 02:50:54 UTC
meiying, see comment #11, can you help to take a look at this bug still persist in rpmgrill-0.28-1.fc24? thanks.

Comment 13 Fedora Update System 2016-05-31 12:25:38 UTC
rpmgrill-0.28-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3b7e4bbb1

Comment 14 Fedora Update System 2016-06-01 16:23:53 UTC
rpmgrill-0.28-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c3b7e4bbb1

Comment 15 Fedora Update System 2016-06-10 02:27:53 UTC
rpmgrill-0.28-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-06-18 18:55:55 UTC
rpmgrill-0.28-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Meiying Li 2016-07-15 10:00:30 UTC
Hi Roman,
Thanks for your efforts for RPMGrill, :)
And sorry for my late verification.

I had tested on F23 with build which-2.19-5.el6
$ NVR=which-2.19-5.el6
$ rpmgrill-fetch-build  $NVR my-$NVR  --server-url http://brewhub.engineering.redhat.com/brewhub --top-url https://brewweb.engineering.redhat.com/brew/

I found there is no way to get source rpm package from brew server, is it right or a bug?

Comment 18 Meiying Li 2016-07-15 10:12:53 UTC
Hi Roman, 
I have designed one test case for this bug, could you have a look? Thanks.
https://tcms.engineering.redhat.com/case/532282/?from_plan=18809

Comment 19 Meiying Li 2016-07-18 02:29:51 UTC
Verified it with builds:
rpmgrill-0.28-1.fc23
rpmgrill-0.28-1.fc24

Steps to verify it:
https://tcms.engineering.redhat.com/case/532282/?from_plan=18809

Because there is another bug 1357314 against fetch build, but will verify this one.

Comment 20 Roman Joost 2016-12-21 00:11:00 UTC
I'm finally closing this one.


Note You need to log in before you can comment on or make changes to this bug.